Yandex Cloud
Search
Discuss with expertTry it for free
  • Customer Stories
  • Documentation
  • Blog
  • All Services
  • System Status
  • Marketplace
    • Featured
    • Infrastructure & Network
    • Data Platform
    • AI for business
    • Security
    • DevOps tools
    • Serverless
    • Monitoring & Resources
  • All Solutions
    • By industry
    • By use case
    • Economics and Pricing
    • Security
    • Technical Support
    • Start testing with double trial credits
    • Cloud credits to scale your IT product
    • Gateway to Russia
    • Cloud for Startups
    • Center for Technologies and Society
    • Yandex Cloud Partner program
    • Price calculator
    • Pricing plans
  • Customer Stories
  • Documentation
  • Blog
© 2026 Direct Cursus Technology L.L.C.
Yandex Object Storage
  • Pricing policy
  • Terraform reference
    • API authentication
      • How to use the API
      • Signing requests
      • Getting started with the S3 API
        • All services and methods
          • General multipart upload procedure
          • CreateMultipartUpload
          • UploadPart
          • UploadPartCopy
          • ListParts
          • AbortMultipartUpload
          • CompleteMultipartUpload
          • ListMultipartUploads
        • Common request headers
        • Common response headers
        • Responses
  • Monitoring metrics
  • Audit Trails events
  • Bucket logs
  • Release notes
  • FAQ

In this article:

  • Request
  • Path parameters
  • Query parameters
  • Headers
  • Response
  • Headers
  • Response codes
  • Data schema
  1. API reference
  2. AWS S3 REST
  3. REST
  4. Multipart upload
  5. ListMultipartUploads

Object Storage API, Amazon S3-compatible REST: ListMultipartUploads

Written by
Yandex Cloud
Updated at May 6, 2026
  • Request
    • Path parameters
    • Query parameters
    • Headers
  • Response
    • Headers
    • Response codes
    • Data schema

Returns a list of current multipart uploads.

The response may not contain more than 1,000 elements. If there are more uploads, Object Storage will return the IsTruncated element, as well as the NextKeyMarker and NextUploadIdMarker elements to use for the key-marker and upload-id-marker parameters of a subsequent request.

For more information on getting started with the API and the general request format, see How to use the S3 API.

RequestRequest

GET /{bucket}?uploads HTTP/2

Path parametersPath parameters

Parameter Description
bucket Bucket name.

Query parametersQuery parameters

Parameter Description
delimiter Delimiter character.

If this parameter is specified, Object Storage interprets the key as the path to the file with folder names separated by a delimiter. The user gets a list of files and folders in the root of the bucket. Files will be output in the Uploads elements, and folders in the CommonPrefixes elements.

If the request also features the prefix parameter, Object Storage will return the list of files and folders in the prefix folder.
max-uploads Maximum number of uploads in a response.

By default, Object Storage outputs a maximum of 1,000 keys. This parameter should be used if you need to get less than 1,000 elements per response.

If the selection criteria are met by more keys than the output has room for, the response contains <IsTruncated>true</IsTruncated>.

To get all output objects, if there are more than max-keys of them, make several consecutive requests to Object Storage with the key-marker parameter, where for each request key-marker is equal to the value of the NextKeyMarker element from the previous response.
key-marker Key. The output begins with the key that follows the one specified in the parameter value.

Use it together with upload-id-marker for output filtering.

If upload-id-marker is specified, the output will also contain key-marker.
prefix String to start the key from.

Object Storage will select only keys that start with prefix.
upload-id-marker Upload ID.

Output begins with the upload whose ID follows the one specified in the parameter value. The key-marker parameter is used in processing, i.e., the output includes uploads filtered by both upload-id-marker and key-marker.

If key-marker is not specified, upload-id-marker is ignored.
uploads Flag indicating a multipart upload operation.

HeadersHeaders

Use the appropriate common headers in your request.

ResponseResponse

HeadersHeaders

Responses can only contain common headers.

Response codesResponse codes

For a list of possible responses, see Responses.

A successful response contains additional data in XML format with the schema described below.

Data schemaData schema

<ListMultipartUploadsResult xmlns="http://s3.amazonaws.com/doc/2006-03-01/">
  <Bucket>bucket</Bucket>
  <KeyMarker></KeyMarker>
  <UploadIdMarker></UploadIdMarker>
  <NextKeyMarker>my-movie.m2ts</NextKeyMarker>
  <NextUploadIdMarker>0005B466********</NextUploadIdMarker>
  <MaxUploads>3</MaxUploads>
  <IsTruncated>true</IsTruncated>
  <Upload>
    <Key>my-divisor</Key>
    <UploadId>0005B465********</UploadId>
    <Initiator>
      <ID>ajeanexa********</ID>
      <DisplayName>ajeanexa********</DisplayName>
    </Initiator>
    <Owner>
      <ID>aje2v5og9qpl********</ID>
      <DisplayName>aje2v5og9qplr6pe0c59</DisplayName>
    </Owner>
    <StorageClass>STANDARD</StorageClass>
    <Initiated>2020-11-18T17:33:46.007Z</Initiated>
  </Upload>
  <Upload>
    <Key>my-movie.m2ts</Key>
    <UploadId>0005B465********</UploadId>
    <Initiator>
      <ID>ajeanexa********</ID>
      <DisplayName>ajeanexampleuser</DisplayName>
    </Initiator>
    <Owner>
      <ID>aje2v5og9qpl********</ID>
      <DisplayName>aje2v5og9qplr6pe0c59</DisplayName>
    </Owner>
    <StorageClass>STANDARD</StorageClass>
    <Initiated>2020-11-18T18:34:47.017Z</Initiated>
  </Upload>
  <Upload>
    <Key>my-movie.m2ts</Key>
    <UploadId>0005B466********</UploadId>
    <Initiator>
      <ID>ajeanexa********</ID>
      <DisplayName>ajeanexa********</DisplayName>
    </Initiator>
    <Owner>
      <ID>aje2v5og9qpl********</ID>
      <DisplayName>aje2v5og9qplr6pe0c59</DisplayName>
    </Owner>
    <StorageClass>STANDARD</StorageClass>
    <Initiated>2020-11-18T18:35:41.231Z</Initiated>
  </Upload>
</ListMultipartUploadsResult>
Tag Description
ListMultipartUploadsResult Response root tag.

Path: /ListMultipartUploadsResult.
Bucket Bucket to which the parts are being uploaded.

Path: /ListMultipartUploadsResult/Bucket.
KeyMarker Key.

The output begins with the key that follows the one specified in the element value.

See the key-marker request parameter description.

Path: /ListMultipartUploadsResult/KeyMarker.
UploadIdMarker Upload ID.

Output begins with the upload whose ID follows the one specified in the parameter value.

See the upload-id-​marker request parameter description.

Path: /ListMultipartUploadsResult/UploadIdMarker.
NextKeyMarker Key.

If the output failed to include all the elements the user should have received, this value is to be used in the key-marker parameter for subsequent requests.

Present if some of the elements do not fit in the response.

Path: /ListMultipartUploadsResult/NextKeyMarker.
NextUploadIdMarker Upload ID.

If the output failed to include all the elements the user should have received, this value is to be used in the upload-id-marker parameter for subsequent requests.

Present if some of the elements do not fit in the response.

Path: /ListMultipartUploadsResult/NextUploadMarker.
Encoding-Type Encoding used by Object Storage to provide a key in an XML response.

See the encoding-type request parameter description.

Path: /ListMultipartUploadsResult/Encoding-Type.
MaxUploads Maximum list length per response.

See the max-uploads request parameter description.

Path: /ListMultipartUploadsResult/MaxUploads.
IsTruncated Flag indicating an incomplete list.

If IsTruncated is true, it means Object Storage has returned an incomplete list of uploads.

Path: /ListMultipartUploadsResult/IsTruncated.
Upload Upload description.

Path: /ListMultipartUploadsResult/Upload.
Key Target upload object key.

Path: /ListMultipartUploadsResult/Upload/Key.
UploadId Multipart upload ID.

Path: /ListMultipartUploadsResult/Upload/UploadId.
Initiator Multipart upload initiator.

Path: /ListMultipartUploadsResult/Upload/Initiator.
ID User ID.

Possible paths:
- /ListMultipartUploadsResult/Upload/Initiator/ID
DisplayName User name displayed.

Possible paths:
- /ListMultipartUploadsResult/Upload/Initiator/DisplayName
Owner Information about the object owner, matches Initiator.

Path: /ListMultipartUploadsResult/Owner.
StorageClass Object storage class: STANDARD, COLD, or ICE.

Path: /ListMultipartUploadsResult/Upload/StorageClass.
Initiated Date and time of the request for starting a multipart upload.
/ListMultipartUploadsResult/Prefix Key prefix.

See the prefix request parameter.

Path: /ListMultipartUploadsResult/Prefix.
Delimiter Delimiter character used when generating output.

See the delimiter request parameter description.

Path: /ListMultipartUploadsResult/Delimiter.
CommonPrefixes Contains the Prefix element.

Path: /ListMultipartUploadsResult/CommonPrefixes.
CommonPrefixes/Prefix Key name part identified when processing the delimiter and prefix request parameters.

Path: /ListMultipartUploadsResult/CommonPrefixes/Prefix.

Related articlesRelated articles

  • Multipart upload

  • Deleting a partially uploaded object

See alsoSee also

  • Getting started with the AWS S3 API in Yandex Object Storage

  • Debugging requests using the AWS CLI

  • Example of sending a signed request using curl

  • Code example for generating a signature

Was the article helpful?

Previous
CompleteMultipartUpload
Next
All methods
© 2026 Direct Cursus Technology L.L.C.